# SPDX-FileCopyrightText: Copyright (c) 2021-2025 NVIDIA CORPORATION & AFFILIATES.
#                         All rights reserved.
# SPDX-License-Identifier: Apache-2.0
from collections.abc import Hashable, Iterable, Iterator, MutableSet
from typing import Any, TypeVar

_T = TypeVar("_T", bound=Hashable)

class OrderedSet(MutableSet[_T]):
    def __init__(self, copy_from: Iterable[_T] | None = None) -> None: ...
    def add(self, obj: _T) -> None: ...
    def update(self, other: Iterable[_T]) -> None: ...
    def discard(self, obj: _T) -> None: ...
    def __len__(self) -> int: ...
    def __contains__(self, obj: Any) -> bool: ...
    def __iter__(self) -> Iterator[_T]: ...
    def remove_all(self, other: OrderedSet[_T]) -> OrderedSet[_T]: ...
