# SPDX-FileCopyrightText: Copyright (c) 2021-2025 NVIDIA CORPORATION & AFFILIATES.
# All rights reserved.
# SPDX-License-Identifier: Apache-2.0

from typing import Any

from ..type.types import Type
from ..utilities.typedefs import Domain
from ..utilities.unconstructable import Unconstructable
from .physical_store import PhysicalStore

class PhysicalArray(Unconstructable):
    @property
    def nullable(self) -> bool: ...
    @property
    def ndim(self) -> int: ...
    @property
    def type(self) -> Type: ...
    @property
    def nested(self) -> bool: ...
    def data(self) -> PhysicalStore: ...
    def null_mask(self) -> PhysicalStore: ...
    def child(self, index: int) -> PhysicalArray: ...
    def domain(self) -> Domain: ...
    @property
    def __array_interface__(self) -> dict[str, Any]: ...
    @property
    def __cuda_array_interface__(self) -> dict[str, Any]: ...
