# SPDX-FileCopyrightText: Copyright (c) 2023-2025 NVIDIA CORPORATION & AFFILIATES.
#                         All rights reserved.
# SPDX-License-Identifier: Apache-2.0

from typing import Any

from ..type.types import Type

class Scalar:
    def __init__(self, value: Any, dtype: Type | None = None): ...
    def value(self) -> Any: ...
    @property
    def type(self) -> Type: ...
    @property
    def ptr(self) -> int: ...
    @property
    def raw_handle(self) -> int: ...
    @staticmethod
    def null() -> Scalar: ...
    @property
    def __array_interface__(self) -> dict[str, Any]: ...
