# SPDX-FileCopyrightText: Copyright (c) 2021-2025 NVIDIA CORPORATION & AFFILIATES.
#                         All rights reserved.
# SPDX-License-Identifier: Apache-2.0

import typing_extensions

from ..utilities.unconstructable import Unconstructable

class SymbolicExpr(Unconstructable):
    @property
    def dim(self) -> int: ...
    @property
    def weight(self) -> int: ...
    @property
    def offset(self) -> int: ...
    def is_identity(self, dim: int) -> bool: ...
    def __eq__(self, other: object) -> bool: ...
    def __mul(self, other: int) -> SymbolicExpr: ...
    def __add__(self, other: int) -> SymbolicExpr: ...

def dimension(dim: int) -> SymbolicExpr: ...
def constant(value: int) -> SymbolicExpr: ...

SymbolicPoint: typing_extensions.TypeAlias = tuple[SymbolicExpr, ...]
