# SPDX-FileCopyrightText: Copyright (c) 2021-2025 NVIDIA CORPORATION & AFFILIATES.
# All rights reserved.
# SPDX-License-Identifier: Apache-2.0

from ..data.physical_array import PhysicalArray
from ..data.scalar import Scalar
from ..utilities.typedefs import GlobalTaskID, VariantCode
from ..utilities.unconstructable import Unconstructable

class TaskContext(Unconstructable):
    def get_task_id(self) -> GlobalTaskID: ...
    def get_variant_kind(self) -> VariantCode: ...
    @property
    def inputs(self) -> tuple[PhysicalArray, ...]: ...
    @property
    def outputs(self) -> tuple[PhysicalArray, ...]: ...
    @property
    def reductions(self) -> tuple[PhysicalArray, ...]: ...
    @property
    def scalars(self) -> tuple[Scalar, ...]: ...
    def set_exception(self, excn: Exception) -> None: ...
